Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.file
Class ResourceManagerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.transaction.file.ResourceManagerException

All Implemented Interfaces:
  ResourceManagerErrorCodes, Serializable

Direct Known Subclasses:
  ResourceManagerSystemException

public class ResourceManagerException
extends Exception
implements ResourceManagerErrorCodes

Signals any kind of error or failure state in a `ResourceManager`.

Version:
  $Revision$
See Also:
  Serialized Form

Field Summary
`static String` | `ERR_UNKNOWN_CODE`
`static String` | `ERR_UNKNOWN_TEXT`
`protected int` | `status`
`protected Object` | `txId`

Fields inherited from interface org.apache.commons.transaction.file.ResourceManagerErrorCodes
`ERR_DEAD_LOCK, ERR_DUP_TX, ERR_ISOLATION_LEVEL_UNSUPPORTED, ERR_LOCK, ERR_MARKED_FOR_ROLLBACK, ERR_NO_LOCK, ERR_NO_SUCH_RESOURCE, ERR_NO_TX, ERR_RESOURCE_EXISTS, ERR_RESOURCEID_INVALID, ERR_SYSTEM, ERR_SYSTEM_INCONSISTENT, ERR_THREAD_INVALID, ERR_TX_INACTIVE, ERR_TX_INCONSISTENT, ERR_TXID_INVALID, ERR_UNKNOWN`

Constructor Summary
`ResourceManagerException(int status, Object txId)`
`ResourceManagerException(int status, Object txId, Throwable cause)`
`ResourceManagerException(String message)`
`ResourceManagerException(String message, int status, Object txId)`
`ResourceManagerException(String message, int status, Object txId, Throwable cause)`
`ResourceManagerException(String message, int status, Throwable cause)`
`ResourceManagerException(String message, Throwable cause)`

Method Summary
`protected static String` | `composeMessage(String msg, int status, Object txId)`
`protected static String` | `composeMessage(String msg, int status, Object txId, Throwable cause)`
`int` | `getStatus()`
`static String` | `statusToCode(int status)`
`String` | `statusToString()`
`static String` | `statusToText(int status)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERR_UNKNOWN_TEXT

    public static final String ERR_UNKNOWN_TEXT

See Also:
  Constant Field Values

### ERR_UNKNOWN_CODE

    public static final String ERR_UNKNOWN_CODE

See Also:
  Constant Field Values

### status

    protected final int status

### txId

    protected final Object txId

Constructor Detail

### ResourceManagerException

    public ResourceManagerException(String message,
                                    int status,
                                    Object txId)

### ResourceManagerException

    public ResourceManagerException(int status,
                                    Object txId)

### ResourceManagerException

    public ResourceManagerException(String message)

### ResourceManagerException

    public ResourceManagerException(String message,
                                    int status,
                                    Object txId,
                                    Throwable cause)

### ResourceManagerException

    public ResourceManagerException(String message,
                                    int status,
                                    Throwable cause)

### ResourceManagerException

    public ResourceManagerException(String message,
                                    Throwable cause)

### ResourceManagerException

    public ResourceManagerException(int status,
                                    Object txId,
                                    Throwable cause)

Method Detail

### composeMessage

    protected static final String composeMessage(String msg,
                                                 int status,
                                                 Object txId,
                                                 Throwable cause)

### composeMessage

    protected static final String composeMessage(String msg,
                                                 int status,
                                                 Object txId)

### statusToText

    public static final String statusToText(int status)

### statusToCode

    public static final String statusToCode(int status)

### statusToString

    public String statusToString()

### getStatus

    public int getStatus()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.